Subject: RE: [dhcwg] Original intent of M/O bits [was Re: IPv6 WG LastCall:draft-ietf-ipv6-ra-mo-flags-01.txt ]

From: "Bound, Jim" <[email-masked]>
Date: Tue, 24 May 2005 11:08:11 -0400

Thomas,

With respect.  When we defined M and O we were assuming a stateful support system.  Thus we did the right thing.  I was there as you.  Those that are in denial that stateful is as important to the business and market deployment of IPv6 are simply missing the point.  In addition, and I think we agree on this point, it is not the IETFs business to tell the market what or how to deploy.

/jim 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Thomas Narten
> Sent: Tuesday, May 24, 2005 10:46 AM
> To: JINMEI Tatuya / 神明達哉
> Cc: [email-masked]; IPv6 WG
> Subject: [dhcwg] Original intent of M/O bits [was Re: IPv6 WG 
> LastCall:draft-ietf-ipv6-ra-mo-flags-01.txt ]
> 
> JINMEI Tatuya / =?ISO-2022-JP?B?GyRCP0BMQEMjOkgbKEI=?=
> 	<[email-masked]> writes:
> 	
> > If we respect both the original sense of RFC2462 and our consensus
> > about the semantics separation of the M/O flags, I believe the right
> > solution is the following:
> 
> I think we should be careful NOT to get hung up on what the original
> intent of the M/O bits were, but focus on what the right behavior
> should be, given what we know now/today, and given the DHC protocols
> we actually have.
> 
> The M/O bits were defined before we had DHCPv6 specified. I'd argue
> that the M/O bits are a classic example of defining protocol/bits
> before we really had a clear understanding of how they would be used,
> what the semantics should be or what the actual protocols would be
> that get invoked as a result of those bits.
> 
> Surprise, surprise, when one invents protocols/mechanisms in such
> cases, we often get the details wrong.
> 
> Thomas
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------